Skip to main content
GET
/
ai-agents
/
agent-builder
/
agents
/
{agentUid}
/
enabled-items
Get Enabled Items
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{agentUid}/enabled-items \
  --header 'apikey: <api-key>'
{
  "data": {
    "tools": [
      {
        "slug": "<string>",
        "name": "<string>",
        "description": "<string>",
        "icon": "<string>",
        "actions": [
          {
            "slug": "<string>",
            "name": "<string>",
            "description": "<string>"
          }
        ]
      }
    ],
    "frontendActions": [
      {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "triggerFunction": "<string>",
        "parameters": [
          {
            "key": "<string>",
            "type": "<string>",
            "description": "<string>",
            "required": true
          }
        ]
      }
    ],
    "apiTools": [
      {
        "slug": "<string>",
        "name": "<string>",
        "description": "<string>",
        "icon": "<string>",
        "endpoint": "<string>",
        "method": "<string>",
        "parameters": [
          {
            "key": "<string>",
            "type": "<string>",
            "description": "<string>",
            "required": true
          }
        ]
      }
    ],
    "mcpServers": [
      {
        "slug": "<string>",
        "name": "<string>",
        "description": "<string>",
        "icon": "<string>",
        "url": "<string>"
      }
    ]
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

agentUid
string
required

Unique identifier of the agent

Query Parameters

tools
boolean
default:true

Include enabled tools (default: true)

frontendActions
boolean
default:true

Include enabled frontend actions (default: true)

apiTools
boolean
default:true

Include enabled API tools (default: true)

mcpServers
boolean
default:true

Include enabled MCP servers (default: true)

key
string

Search term to filter by name/description

_
string

Cache-busting timestamp (ignored by server)

Response

Categorized enabled items for the agent

data
object